<template>
  <div>
    <v-row>
      <v-col cols="1">
        <v-text-field value="OTHER" label="SERVICE" disabled />
      </v-col>
      <v-col cols="1">
        <v-btn @click="add">Add</v-btn>
      </v-col>
    </v-row>
    <v-row
        v-for="(data, i) in other.data"
        :key="i"
    >
      <v-col cols="2" align="center">
        <v-btn @click="remove(i)">Remove</v-btn>
      </v-col>
      <v-col cols="1" v-if="vendor === 'ZTE'">
        <v-text-field v-model="data.name" :disabled="disabled" label="NAME"/>
      </v-col>
      <v-col cols="1">
        <v-text-field type="number" v-model="data.vlan" :disabled="disabled" label="VLAN"/>
      </v-col>
      <v-col cols="1" v-if="open_ont !== 1">
        <v-text-field type="number" v-model="data.svlan" :disabled="disabled" label="USER VLAN"/>
      </v-col>
      <v-col cols="1" v-if="open_ont === 1">
        <v-checkbox
            :disabled="disabled"
            v-model="data.lan"
            label="LAN 1"
            :value="1"
            class="shrink mr-2 mt-0"
        />
      </v-col>
      <v-col cols="1" v-if="open_ont === 1">
        <v-checkbox
            :disabled="disabled"
            v-model="data.lan"
            label="LAN 2"
            :value="2"
            class="shrink mr-2 mt-0"
        />
      </v-col>
      <v-col cols="1" v-if="open_ont === 1">
        <v-checkbox
            :disabled="disabled"
            v-model="data.lan"
            label="LAN 3"
            :value="3"
            class="shrink mr-2 mt-0"
        />
      </v-col>
      <v-col cols="1" v-if="open_ont === 1">
        <v-checkbox
            :disabled="disabled"
            v-model="data.lan"
            label="LAN 4"
            :value="4"
            class="shrink mr-2 mt-0"
        />
      </v-col>
      <v-col cols="1" v-if="(vendor !== 'ZTE' && status === 1) || (vendor === 'FH' && status === 1 && open_ont === 2)">
        <v-text-field v-model="data.bw_up" :disabled="disabled" label="UPLOAD"/>
      </v-col>
      <v-col cols="1" v-if="(vendor !== 'ZTE' && status === 1) || (vendor === 'FH' && status === 1 && open_ont === 2)">
        <v-text-field v-model="data.bw_down" :disabled="disabled" label="DOWNLOAD"/>
      </v-col>
    </v-row>
  </div>
</template>

<script>
export default {
  name: "OtherForm",
  props: ['other', 'vendor', 'disabled', 'open_ont', 'status'],
  methods: {
    add() {
      this.other.data.push({
        vlan: 1,
        svlan: 1,
        lan: [],
        name: null,
        bw_up: null,
        bw_down: null
      })
    },
    remove(index) {
      this.other.data.splice(index, 1)
    }
  }
}
</script>

<style scoped>

</style>